### Enumeration

# AppStreamCompose ComposeFlags

since: 0.14.5

#### Declaration

    flags AppStreamCompose.ComposeFlags

#### Description [src]

Flags that affect the compose process.

Available since: 0.14.5

#### Members

`ASC_COMPOSE_FLAG_NONE`

  No flags.

  - Value: `0`
  - Available since: 0.14.5
`ASC_COMPOSE_FLAG_USE_THREADS`

  Process units in parallel. Ignored if an `AscMedia` was set via asc_compose_set_media().

  - Value: `1`
  - Available since: 0.14.5
`ASC_COMPOSE_FLAG_ALLOW_NET`

  Allow network access for downloading extra data.

  - Value: `2`
  - Available since: 0.14.5
`ASC_COMPOSE_FLAG_VALIDATE`

  Validate metadata while processing.

  - Value: `4`
  - Available since: 0.14.5
`ASC_COMPOSE_FLAG_STORE_SCREENSHOTS`

  Whether screenshots should be cached in the media directory.

  - Value: `8`
  - Available since: 0.14.5
`ASC_COMPOSE_FLAG_ALLOW_VIDEOS`

  Handle & store video screenshots (they will be removed without this flag).

  - Value: `16`
  - Available since: 0.14.5
`ASC_COMPOSE_FLAG_PROCESS_FONTS`

  Set if font components should be processed.

  - Value: `32`
  - Available since: 0.14.5
`ASC_COMPOSE_FLAG_PROCESS_TRANSLATIONS`

  Automatically extract component translation status.

  - Value: `64`
  - Available since: 0.14.5
`ASC_COMPOSE_FLAG_IGNORE_ICONS`

  Any icon information is completely ignored. Useful for later manual icon processing.

  - Value: `128`
  - Available since: 0.14.5
`ASC_COMPOSE_FLAG_PROCESS_UNPAIRED_DESKTOP`

  Process desktop-entry files that do not have a corresponding metainfo file.

  - Value: `256`
  - Available since: 0.14.5
`ASC_COMPOSE_FLAG_PROPAGATE_CUSTOM`

  Whether all custom entries should be passed on to the output, ignoring the allowlist.

  - Value: `512`
  - Available since: 0.14.5
`ASC_COMPOSE_FLAG_PROPAGATE_ARTIFACTS`

  Whether artifact data should be passed through to the generated output.

  - Value: `1024`
  - Available since: 0.14.5
`ASC_COMPOSE_FLAG_NO_FINAL_CHECK`

  Disable the automatic finalization check to perform it manually at a later time.

  - Value: `2048`
  - Available since: 0.14.5
`ASC_COMPOSE_FLAG_NO_PARTIAL_URLS`

  Do not use `media_baseurl` and always embed complete URLs in generated metadata.

  - Value: `4096`
  - Available since: 0.14.5